package dpexamples.day4;

import java.io.File;

public class FileSystem {

    public static void main(String[] args) {
    	
    	// AbstractFile root = buildDemoFilesystem();
    	AbstractFile root = new Directory(new File("."));

		// will sys.out.println itself
    	traverse(root, null);
    }

    static void traverse(AbstractFile file, FileVisitor v) {
    	file.accept(v);
    	for (AbstractFile child : file.getChildren()) {
    		traverse(child, v);
    	}    	
    }

    
}
